# Get Paginated Activities by Release ID

Retrieve a paginated list of orchestration execution activities for a specific release with optional filters.

Sortable fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
Sort format: sort=field_name&sort=direction where direction is asc or desc.
Examples: sort=start_ts&sort=desc or sort=endTs&sort=asc.

Endpoint: GET /rmg/api/release/{releaseId}/execution/activities
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)
    The ID of the release

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `page` (integer)

  - `size` (integer)

  - `sort` (array)
    Sort parameters as an array. Format: [field_name, direction] where direction is asc or desc.
Supported fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
When used in query params, use format: sort=field_name&sort=direction (e.g., sort=start_ts&sort=desc).

  - `status` (array)
    Filter activities by status (can specify multiple statuses).
Valid values: SCHEDULED, QUEUED, RUNNING, OUTPUT_WAITING, SUCCEEDED, FAILED, ABORTED, ON_HOLD, RETRIED, IGNORED, SKIPPED.
    Enum: "SCHEDULED", "RUNNING", "OUTPUT_WAITING", "QUEUED", "SUCCEEDED", "FAILED", "ABORTED", "ON_HOLD", "RETRIED", "IGNORED", "SKIPPED"

  - `type` (array)
    Filter activities by type (PIPELINE, SUBPROCESS, MANUAL)
    Enum: "PIPELINE", "SUBPROCESS", "MANUAL"

  - `phaseIdentifier` (string)
    Filter activities by phase identifier

  - `startTs` (integer)
    Filter activities that started on or after this timestamp (in milliseconds). Activities with start_ts >= startTs will be included.

  - `endTs` (integer)
    Filter activities that started on or before this timestamp (in milliseconds). Activities with start_ts <= endTs will be included.

  - `taskUserReferenceId` (string)
    Filter activities that were triggered by tasks with the specified user_reference_id. Only activities linked to tasks via the activity_task_id table will be returned.

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.identifier` (string, required)
    Unique identifier of the activity

  - `content.name` (string, required)
    Name of the activity

  - `content.status` (string, required)
    Status of orchestration execution activities
    Enum: "SCHEDULED", "RUNNING", "OUTPUT_WAITING", "SUCCEEDED", "FAILED", "ABORTED", "ON_HOLD", "RETRIED", "IGNORED", "SKIPPED", "QUEUED"

  - `content.phaseIdentifier` (string, required)
    Identifier of the phase this activity belongs to

  - `content.phaseName` (string, required)
    Name of the phase this activity belongs to

  - `content.rootReleaseId` (string, required)
    Root release ID for this activity (used to group activities from child releases)

  - `content.type` (string, required)
    Type of the activity
    Enum: "PIPELINE", "SUBPROCESS", "MANUAL"

  - `content.startTs` (integer,null)
    Start timestamp in milliseconds

  - `content.endTs` (integer,null)
    End timestamp in milliseconds

  - `content.processExecutionId` (string, required)
    Process execution ID

  - `content.phaseExecutionId` (string, required)
    Phase execution ID

  - `content.activityExecutionId` (string,null)
    Activity execution ID

  - `content.retryIndex` (integer,null)
    Retry index if this is a retry

  - `content.retryId` (string,null)
    Retry ID

  - `content.failureInfo` (object)
    Information about a failure that occurred

  - `content.failureInfo.msg` (string, required)
    The failure message describing what went wrong

  - `content.failureInfo.code` (string)
    The failure code indicating the type of failure

  - `content.triggerInfo` (object)
    Trigger information for an activity

  - `content.triggerInfo.identifier` (string,null)
    Identifier of the person who triggered the activity

  - `content.triggerInfo.name` (string,null)
    Name of the person who triggered the activity

  - `content.triggerInfo.email` (string,null)
    Email of the person who triggered the activity

  - `content.pipeline` (object)
    Pipeline execution information for activities

  - `content.pipeline.executionId` (string, required)
    ID of the pipeline execution

  - `content.pipeline.identifier` (string, required)
    Pipeline identifier for PIPELINE type activities in format org/project/pipelineIdentifier

  - `content.subprocess` (object)
    Subprocess execution information for activities

  - `content.subprocess.releaseId` (string, required)
    ID of the subprocess release

  - `content.subprocess.identifier` (string, required)
    Process identifier for SUBPROCESS type activities

  - `content.manual` (object)
    Manual activity execution information

  - `content.manual.taskCount` (integer,null)
    Total number of tasks in this manual activity

  - `totalPages` (integer, required)
    Total number of pages

  - `totalElements` (integer, required)
    Total number of activities across all pages

  - `size` (integer, required)
    Number of items per page

  - `number` (integer, required)
    Current page number (0-indexed)

  - `numberOfElements` (integer, required)
    Number of items in the current page

  - `first` (boolean, required)
    Whether this is the first page

  - `last` (boolean, required)
    Whether this is the last page

  - `empty` (boolean, required)
    Whether the current page is empty

  - `pageable` (object)

  - `pageable.pageNumber` (integer)

  - `pageable.pageSize` (integer)

  - `pageable.sort` (object)

  - `pageable.sort.empty` (boolean)

  - `pageable.sort.sorted` (boolean)

  - `pageable.sort.unsorted` (boolean)

  - `pageable.offset` (integer)

  - `pageable.paged` (boolean)

  - `pageable.unpaged` (boolean)

  - `sort` (object)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


